Advice updating version

Guys,

     I am using LLVM 1.8, and I want to update to the most recent version. I want to keep my old version, because I have done many changes in the source code. Could someone tell me if I am likely to experiment problems if I download LLVM 2.0 and keep it in a separate directory in the same machine where the old version is installed?

best,

Fernando

Yes, that should be fine. Keep in mind that you would need to install llvm-gcc 2.0 as well. As a side note, why not just work with svn? That way you don't end up using a llvm version that is over a year old.

-Tanya